tigase.jaxmpp.core.client

## Class Connector.StateChangedHandler.StateChangedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<Connector.StateChangedHandler>
    - - tigase.jaxmpp.core.client.Connector.StateChangedHandler.StateChangedEvent

- Enclosing interface:
    Connector.StateChangedHandler

      public static class Connector.StateChangedHandler.StateChangedEvent
      extends JaxmppEvent<Connector.StateChangedHandler>

  Fired after connection state is changed.

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateChangedEvent(SessionObject sessionObject, Connector.State oldState, Connector.State newState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(Connector.StateChangedHandler handler)` Invokes handlers method.
    `Connector.State` | `getNewState()`
    `Connector.State` | `getOldState()`
    `String` | `toString()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StateChangedEvent

          public StateChangedEvent(SessionObject sessionObject,
                                   Connector.State oldState,
                                   Connector.State newState)

  - ### Method Detail

    - #### dispatch

          public void dispatch(Connector.StateChangedHandler handler)
                        throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<Connector.StateChangedHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getNewState

          public Connector.State getNewState()

    - #### getOldState

          public Connector.State getOldState()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 Tigase. All rights reserved.